> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Add Company Attachment

POST https://api-b2b.bigcommerce.com/api/v3/io/companies/{companyId}/attachments
Content-Type: multipart/form-data

Attaches a file to a Company account.

The default rate limit for this endpoint is `15` calls/min per store.

Each Company can have a maximum of `10` attachments. The following file types are supported:

```
- Image files (BMP, GIF, ICO, JPG/JPEG, PNG, SVG, TIF, TIFF, WEBP, WBMP, XBM)
- PDF
- DOC, DOCX
- XLS, XLSX
- CSV
```

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/company/companies/post-companies-company-id-attachments

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `companyId` (integer, required) — Unique numeric ID of the Company account.

### Body (multipart/form-data)

This endpoint expects a multipart form containing a file.

- `attachmentFile` (file, required) — Attaches a file to the Company account. The file must be a supported type and not exceed 10MB.

## Response

### 200

OK

- `code` (double, optional, default: 200)
- `data` (CompaniesCompanyIdAttachmentsPostResponsesContentApplicationJsonSchemaData, optional)
- `meta` (CompaniesCompanyIdAttachmentsPostResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### CompaniesCompanyIdAttachmentsPostResponsesContentApplicationJsonSchemaData

- `id` (string, optional)
- `attachmentFile` (string, optional) — The file attached to the Company account.

### CompaniesCompanyIdAttachmentsPostResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: SUCCESS)

## Examples

**Request**

```json
{
  "attachmentFile": "<file: string>"
}
```

**Response**

```json
{
  "code": 200,
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "attachmentFile": "https://example.com/example.csv"
  },
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python Example 1
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/attachments"

files = { "attachmentFile": "open('string', 'rb')" }
headers = {"X-Auth-Token": "<apiKey>"}

response = requests.post(url, files=files, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/attachments';
const form = new FormData();
form.append('attachmentFile', 'string');

const options = {method: 'POST', headers: {'X-Auth-Token': '<apiKey>'}};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/attachments"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachmentFile\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/attachments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Auth-Token"] = '<apiKey>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachmentFile\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/attachments")
  .header("X-Auth-Token", "<apiKey>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachmentFile\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/attachments', [
  'multipart' => [
    [
        'name' => 'attachmentFile',
        'filename' => 'string',
        'contents' => null
    ]
  ]
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/attachments");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachmentFile\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]
let parameters = [
  [
    "name": "attachmentFile",
    "fileName": "string"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/attachments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```